-----------------------------------------------------------------------------

local AloftCastBarOverlay = Aloft:NewModule("CastBarOverlay", "AceEvent-2.0")

-----------------------------------------------------------------------------

function AloftCastBarOverlay:UpdateAll()
	for aloftData in Aloft:IterateNameplates() do	
		self:SetupFrame(aloftData)
	end
end

-----------------------------------------------------------------------------

function AloftCastBarOverlay:OnEnable()
	self:RegisterEvent("Aloft:SetupFrame", "SetupFrame")
	self:RegisterEvent("Aloft:OnCastBarShow", "OnCastBarShow")

	self:UpdateAll()
end

function AloftCastBarOverlay:OnDisable()
	self:UnregisterAllEvents()
	
	for aloftData in Aloft:IterateNameplates() do
		local castBarOverlayFrame = aloftData.castBarOverlayFrame

		castBarOverlayFrame:ClearAllPoints()
		castBarOverlayFrame:SetPoint("CENTER", aloftData.nameplateFrame, "CENTER", 0, -16)
		castBarOverlayFrame:SetTexture("Interface\\Tooltips\\Nameplate-Border")
		castBarOverlayFrame:SetTexCoord(0.0, 1.0, 1.0, 1.0)
		castBarOverlayFrame:SetAlpha(1)
		castBarOverlayFrame:SetWidth(128)
		castBarOverlayFrame:SetHeight(32)
	end
end

function AloftCastBarOverlay:SetupFrame(aloftData)
	local castBarOverlayFrame = aloftData.castBarOverlayFrame

	castBarOverlayFrame:SetAlpha(0)
	castBarOverlayFrame:Hide()
end

function AloftCastBarOverlay:OnCastBarShow(aloftData)
	local castBarOverlayFrame = aloftData.castBarOverlayFrame
	castBarOverlayFrame:SetAlpha(0)
	castBarOverlayFrame:Hide()
end

function AloftCastBarOverlay:OnCastBarValueChanged(aloftData)
	local castBarOverlayFrame = aloftData.castBarOverlayFrame
	castBarOverlayFrame:SetAlpha(0)
	castBarOverlayFrame:Hide()
end

-----------------------------------------------------------------------------
